variables:
  C_BUY_GROCERIES: C_Programming/buy_groceries/

Build_C_Question_Buy_Groceries:
  image: registry.gitlab.com/90cos/docker-definitions/basic-dev
  stage: build
  script:
    - cd $C_BUY_GROCERIES
    - mkdir build
    - cmake -S . -B build/
    - make -C build/
  artifacts:
    paths:
      - ${C_BUY_GROCERIES}build/
    expire_in: 1 day

Test_C_Question_Buy_Groceries:
  image: registry.gitlab.com/90cos/docker-definitions/basic-dev
  stage: test
  dependencies:
    - Build_C_Question_Buy_Groceries
  script:
    - cd $C_BUY_GROCERIES
    - ./build/TestCode
